Infra APIVms
Create sandbox VM
Creates a sandbox VM, executes code, and returns the result. VM auto-deletes after TTL.
POST
/api/v1/vms/sandboxCreates a sandbox VM, executes code, and returns the result. VM auto-deletes after TTL.
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Request Body
application/json
Sandbox request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/vms/sandbox" \ -H "Content-Type: application/json" \ -d '{}'{ "command": { "exit_code": 0, "stderr": "string", "stdout": "string" }, "ttl": 0, "vm": { "status": "string", "vm_id": "string" }}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}